<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jstl/core"
	xmlns:cc="http://java.sun.com/jsf/composite">
	<cc:interface>
		<cc:facet name="header" />
		<cc:facet name="footer" />
		<cc:attribute name="pid" />
		<cc:attribute name="bodyClass" />
        <cc:attribute name="styleClass"/>
        <cc:attribute name="headerClass"/>
        <cc:attribute name="footerClass" />
	</cc:interface>
	<cc:implementation>
		<c:choose>
			<c:when test="#{cc.attrs.pid != null}">
				<c:choose>
					<c:when
						test="#{(not empty cc.facets.header) and (not empty cc.facets.footer)}">
						<ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">
							<ui:param name="panel_id" value="${cc.attrs.pid}" />
							<ui:param name="bodyStyleClass" value="${cc.attrs.bodyClass}" />
                            <ui:param name="footerStyleClass" value="${cc.attrs.footerClass}"/>
                            <ui:param name="styleClass" value="${cc.attrs.styleClass}"/>
                            <ui:param name="headingStyleClass" value="${cc.attrs.headerClass}"/>
							<ui:define name="panel_title">
								<cc:renderFacet name="header" />
							</ui:define>
							<cc:insertChildren />
							<ui:define name="panel_footer">
								<cc:renderFacet name="footer" />
							</ui:define>
						</ui:decorate>
					</c:when>

					<c:when test="#{(not empty cc.facets.header)}">
						<ui:decorate template="/layout/panels/_panel_title_id.xhtml">
							<ui:param name="panel_id" value="${cc.attrs.pid}" />
							<ui:param name="bodyStyleClass" value="${cc.attrs.bodyClass}" />
                            <ui:param name="styleClass" value="${cc.attrs.styleClass}"/>
                            <ui:param name="headingStyleClass" value="${cc.attrs.headerClass}"/>
							<ui:define name="panel_title">
								<cc:renderFacet name="header" />
							</ui:define>
							<cc:insertChildren />
						</ui:decorate>
					</c:when>

					<c:when test="#{(not empty cc.facets.footer)}">
						<ui:decorate template="/layout/panels/_panel_footer_id.xhtml">
							<ui:param name="panel_id" value="${cc.attrs.pid}" />
							<ui:param name="bodyStyleClass" value="${cc.attrs.bodyClass}" />
                            <ui:param name="footerStyleClass" value="${cc.attrs.footerClass}"/>
                            <ui:param name="styleClass" value="${cc.attrs.styleClass}"/>
							<cc:insertChildren />
							<ui:define name="panel_footer">
								<cc:renderFacet name="footer" />
							</ui:define>
						</ui:decorate>
					</c:when>

					<c:otherwise>
						<ui:decorate template="/layout/panels/_panel_id.xhtml">
							<ui:param name="panel_id" value="${cc.attrs.pid}" />
							<ui:param name="bodyStyleClass" value="${cc.attrs.bodyClass}" />
                            <ui:param name="styleClass" value="${cc.attrs.styleClass}"/>
							<cc:insertChildren />
						</ui:decorate>
					</c:otherwise>
				</c:choose>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="#{(not empty cc.facets.header) and (not empty cc.facets.footer)}">
						<ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
							<ui:param name="bodyStyleClass" value="${cc.attrs.bodyClass}" />
                            <ui:param name="footerStyleClass" value="${cc.attrs.footerClass}"/>
                            <ui:param name="styleClass" value="${cc.attrs.styleClass}"/>
                            <ui:param name="headingStyleClass" value="${cc.attrs.headerClass}"/>
							<ui:define name="panel_title">
								<cc:renderFacet name="header" />
							</ui:define>
							<cc:insertChildren />
							<ui:define name="panel_footer">
								<cc:renderFacet name="footer" />
							</ui:define>
						</ui:decorate>
					</c:when>

					<c:when test="#{(not empty cc.facets.header)}">
						<ui:decorate template="/layout/panels/_panel_title.xhtml">
							<ui:param name="bodyStyleClass" value="${cc.attrs.bodyClass}" />
                            <ui:param name="styleClass" value="${cc.attrs.styleClass}"/>
                            <ui:param name="headingStyleClass" value="${cc.attrs.headerClass}"/>
							<ui:define name="panel_title">
								<cc:renderFacet name="header" />
							</ui:define>
							<cc:insertChildren />
						</ui:decorate>
					</c:when>

					<c:when test="#{(not empty cc.facets.footer)}">
						<ui:decorate template="/layout/panels/_panel_footer.xhtml">
							<ui:param name="bodyStyleClass" value="${cc.attrs.bodyClass}" />
                            <ui:param name="footerStyleClass" value="${cc.attrs.footerClass}"/>
                            <ui:param name="styleClass" value="${cc.attrs.styleClass}"/>
							<cc:insertChildren />
							<ui:define name="panel_footer">
								<cc:renderFacet name="footer" />
							</ui:define>
						</ui:decorate>
					</c:when>

					<c:otherwise>
						<ui:decorate template="/layout/panels/_panel.xhtml">
							<ui:param name="bodyStyleClass" value="${cc.attrs.bodyClass}" />
                            <ui:param name="styleClass" value="${cc.attrs.styleClass}"/>
							<cc:insertChildren />
						</ui:decorate>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
	</cc:implementation>
</ui:composition>